OhMyGPT
Realtime

Exchange Realtime WebRTC SDP

POST
/v1/realtime/calls

Exchanges a WebRTC SDP offer for an OpenAI Realtime SDP answer. Set the model in session.model of the multipart session field, or in the model query parameter.

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

model?string

Model ID used when the multipart session field omits model.

Request Body

multipart/form-data
  1. body
sdp*string

WebRTC SDP offer.

session?string

JSON-encoded Realtime session object.

Response Body

The SDP answer.

response?stringapplication/sdp
Example Request
curl -X POST 'https://api.ohmygpt.com/v1/realtime/calls' \  -F 'sdp=string'
Example Response
"string"